Bug Hunting Session
Bug 81346 - Paste Only should also have a 'Date/Time' option
Summary: Paste Only should also have a 'Date/Time' option
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.3 release
Hardware: All All
: low enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
: 73222 (view as bug list)
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2014-07-14 12:55 UTC by Aprax
Modified: 2018-03-06 23:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aprax 2014-07-14 12:55:30 UTC
The Summary Title says it all, having only Text, Numbers and Formulas is just not enough. This is an Enhancement (although it should have been there in the beginning so some might consider it's current exclusion as a bug...)
J
Comment 1 Kevin Suo 2014-07-15 04:31:36 UTC
Date and time are in fact numbers...(maybe im wrong?) If you copy numbers and format, it's the same as copying dates.
Comment 2 Aprax 2014-07-15 10:01:28 UTC
Of course you're correct Kevin but:

"Paste Only" does not provide the combination of 'number and format', which is what I'm after.

I suggest that you try the following:

1) create two columns and format them as Time.
2) key a time value into a cell in one column, it should look like a Time value.
3) copy the Time value that you just keyed and then use "Paste Only - Numbers" to paste the value into a cell in the second column. The result is blank, nothing was pasted. The format of the cell is still Time. Paste didn't paste.

Text doesn't work either.

You have to use Paste Special - Date & time BUT WITHOUT the Formats option ticked. If the Formats option is ticked then Conditional Formatting Rules are fragmented and this gets very messy very quickly.

My point is that when someone decided to provide an enhancement called "Paste Only" then they should have included "Date & Time" as a fourth option, not limit it to just Text, Number and Formula.

J
Comment 3 Joel Madero 2014-07-16 19:50:12 UTC
Enhancement request seems pretty straight forward.

New
Enhancement
Low

NeedsDevEval - probably an easy thing to add.
Comment 4 Joel Madero 2014-07-16 20:01:09 UTC
*** Bug 73222 has been marked as a duplicate of this bug. ***
Comment 5 Aprax 2014-07-17 12:32:13 UTC
(In reply to comment #3)
> Enhancement request seems pretty straight forward.
> 
> New
> Enhancement
> Low
> 
> NeedsDevEval - probably an easy thing to add.

Why has this been given a Low priority?
It isn't a bug per se but it isn't really an enhancement either.
It is an oversight and should have been included when the original work was done to provide "Paste Only" functionality.

The other bug, number 73222 Jan. 2014, was poorly composed thus leading to many confused posts and wasted time but was eventually understood. But not acted upon. Is this an indication of the time it will take to get this truly resolved?
With a Low priority, when will we likely see this?
Comment 6 Aprax 2014-07-17 12:44:43 UTC
Would it not make sense to assign this task to the person who added the Paste Only functionality since he/she would be the most knowledgeable person to add this?

Another interesting observation:
When clicking on the word "Importance" on this page a new page containing a Glossary is displayed but instead of using the word "importance" it uses the word "Priority". However it doesn't explain anything, it simply says that the 'engineers' assign it. Does Low mean 'never' or possibly '6 years from the date the thread/bug was created' or whenever someone doesn't have anything else to do?

You want us to post so that you can 'make things better' but classifying this as low seems unreasonable.
Comment 7 Joel Madero 2014-07-17 15:04:23 UTC
It was given low priority for a few reason:

1. Vast majority of users use "regular paste"
2. You can get the same result with a paste special so this literally might cut out a few seconds of effort

But keep in mind that:
1. I put NeedsDevEval which means that if someone puts a code pointer it'll be an easy hack which means new developers might tackle it
2. Developers pick whatever they want to fix so priority is just a signal to them, it does not mean that they won't fix it just because one person put it at low (nor does it mean that they will fix it if one person puts it at high).


Enhancement requests overall are quite low on the radar of priorities - bugs come first for the majority of developers. We have over 5000 bug reports and over 1000 enhancement requests so no promise this will be done any time soon
Comment 8 Joel Madero 2014-07-17 15:06:19 UTC
and no it would not make sense to assigne this bug- we don't push bugs on people. Furthermore - if you want to dig through the commits to see who added the original functionality you can and then cc them on this bug.

Lastly comments like "You want us to post so that you can 'make things better' but classifying this as low seems unreasonable." don't help anyone. Once you've triaged a couple thousand bugs and committed hundreds of hours of time ...nevermind. Feel free to dig through commits like I said but please don't change the priority.
Comment 9 Aprax 2014-07-17 19:07:41 UTC
(In reply to comment #7)
> It was given low priority for a few reason:
> 
> 1. Vast majority of users use "regular paste"
> 2. You can get the same result with a paste special so this literally might
> cut out a few seconds of effort
> 
> But keep in mind that:
> 1. I put NeedsDevEval which means that if someone puts a code pointer it'll
> be an easy hack which means new developers might tackle it
> 2. Developers pick whatever they want to fix so priority is just a signal to
> them, it does not mean that they won't fix it just because one person put it
> at low (nor does it mean that they will fix it if one person puts it at
> high).
> 
> 
> Enhancement requests overall are quite low on the radar of priorities - bugs
> come first for the majority of developers. We have over 5000 bug reports and
> over 1000 enhancement requests so no promise this will be done any time soon

1. Vast majority of users use "regular paste" which essentially implies that the majority don't use Conditional Formatting. Then why was CF undertaken if only a few people use it?
2. A few seconds for one copy/paste but many seconds for many copy pastes BECAUSE once an ods is closed, the modified selections are forgotten and have to be redefined. I have another ticket that asks that the changes for "Paste Special" be remembered after the workbook is closed. If that request is implemented then this request becomes redundant, in fact so would the complete "Paste Only".

"We have over 5000 bug reports" is not something to be proud of but rather an indication of something which I'll leave unnamed. Why keep putting out new things when old things are so bad?

Perhaps the most important question is "Why does Libre Office exist at all".
Sun created Open Office as a perk to increase sales of it's hardware.
Oracle saw the free version as a drain on them financially, tried to monetize it, failed and gave it away. During that period many devs switched to Libre Office. Why? Because they didn't like the formal work environment that would have been imposed by Oracle?
Given that the devs are unpaid, the next question is why they contribute to Libre Office? Do they want to include that on their CVs or brag to friends and neighbors? Do they proudly say "I'm so important that I can pick any one of the 5,000 bugs to work on, and don't have any time commitments for when I should complete the task".

My comments are a bit like the message of the story of "The Emperor's New Clothes". Some people would like to hear only praise, even if it's unfounded and untrue. However I prefer to tell it like it is.
You need identify the sloppy coders that need their hands held, you can do that by tracking the coders than contributed to creating the bugs and if their number of bugs is too high - get rid of them since their code has a negative value not just a zero value because they aren't paid.

Otherwise you'll be reporting that there's a backlog of 6,000 bugs.

You need to get the bugs cleaned up before working on enhancements.
You need to accept that some things that you choose to call enhancements are really bugs because they should have been included from the beginning and somebody didn't really think about what they were doing and only did part of the job. Doing the work for free is not an acceptable excuse.

You need to assign tasks, you need an Analysis and Design stage for new projects and you need Quality Control to prevent bugs (or partial enhancements) from reaching the end users. Then you can truly be proud of your work.
Comment 10 Aprax 2014-07-17 19:20:10 UTC
(In reply to comment #8)
> and no it would not make sense to assigne this bug- we don't push bugs on
> people. Furthermore - if you want to dig through the commits to see who
> added the original functionality you can and then cc them on this bug.
> 
> Lastly comments like "You want us to post so that you can 'make things
> better' but classifying this as low seems unreasonable." don't help anyone.
> Once you've triaged a couple thousand bugs and committed hundreds of hours
> of time ...nevermind. Feel free to dig through commits like I said but
> please don't change the priority.

Let's see how that works out mathematically...

"a couple of thousand bugs" times 10,000 'engineers' = a really big number of bugs. How do you reconcile letting that many bugs out in the wild?

"hundreds of hours of time" to fix "a couple of thousand bugs" = not much time required to fix bugs. So it shouldn't take very long to fix 5,000 bugs then. That is, if you can find any volunteers that take pride in their work and association with Libre Office.

So, how do I "dig through the commits to see who added the original functionality so that (you)I can cc them on this bug". I'll be glad to do so and I'll be like the devs and do it for free even.
Comment 11 Aprax 2014-07-31 16:30:00 UTC
I'm happy to say that with 4.3.0.4 this is no longer a problem because the new defaults for "Paste Special" are only Text, Numbers and Date/Time and therefore I won't need "Paste Only" anymore.
Comment 12 Robinson Tryon (qubit) 2015-12-13 11:21:02 UTC Comment hidden (obsolete)
Comment 13 Aprax 2018-03-06 14:41:49 UTC
still needs this after the changes made in V6.
I guess you can't understand why...
(and NEW + FIXED?  It's not FIXED!